## coq-ext-lib 0.11.6

=== Makefile ===
all: theories examples

-include coqdocjs/Makefile.doc
COQMAKEFILE?=Makefile.coq

theories: $(COQMAKEFILE)
	$(MAKE) -f $(COQMAKEFILE)

$(COQMAKEFILE):
	$(COQBIN)coq_makefile -f _CoqProject -o $(COQMAKEFILE)

install: $(COQMAKEFILE)
	$(MAKE) -f $(COQMAKEFILE) install

examples: theories
	$(MAKE) -C examples

clean:
	if [ -e $(COQMAKEFILE) ] ; then $(MAKE) -f $(COQMAKEFILE) cleanall ; fi
	$(MAKE) -C examples clean
	@rm -f $(COQMAKEFILE) $(COQMAKEFILE).conf

uninstall:
	$(MAKE) -f $(COQMAKEFILE) uninstall

dist:
	@ git archive --prefix coq-ext-lib/ HEAD -o $(PROJECT_NAME).tgz

.PHONY: all clean dist theories examples html

TEMPLATES ?= templates

index.html: index.md
	pandoc -s $^ -o $@

index.md: meta.yml
	$(TEMPLATES)/generate.sh $@

=== debian/changelog ===
coq-ext-lib (0.11.6-1) unstable; urgency=medium

  * Initial release. (Closes: #1013963)

 -- Julien Puydt <jpuydt@debian.org>  Tue, 28 Jun 2022 08:08:54 +0200

=== debian/control ===
Source: coq-ext-lib
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Julien Puydt <jpuydt@debian.org>
Section: ocaml
Priority: optional
Standards-Version: 4.6.1
Rules-Requires-Root: no
Build-Depends: coq,
               debhelper-compat (= 13),
               dh-coq,
               dh-ocaml,
               libcoq-ocaml-dev,
               libcoq-stdlib
Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-ext-lib
Vcs-Git: https://salsa.debian.org/ocaml-team/coq-ext-lib.git
Homepage: https://github.com/coq-community/coq-ext-lib

Package: libcoq-ext-lib
Architecture: any
Depends: ${coq:Depends}, ${misc:Depends}
Provides: ${coq:Provides}
Description: Collection of theories and plugins for Coq
 This package provides a collection of theories and plugins
 that may be useful in other Coq developments.
 .
 Coq is a proof assistant for higher-order logic.

## coq-ext-lib 0.11.7

=== Makefile ===
--- 
+++ 
@@ -35,3 +35,7 @@
 
 index.md: meta.yml
 	$(TEMPLATES)/generate.sh $@
+
+publish%:
+	opam publish --packages-directory=released/packages \
+		--repo=coq/opam-coq-archive --tag=v$* -v $* coq-community/coq-ext-lib

=== debian/changelog ===
coq-ext-lib (0.11.7-2) unstable; urgency=medium

  * Change b-dep from libcoq-ocaml-dev to libcoq-core-ocaml-dev.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 25 Jan 2023 07:55:55 +0100

coq-ext-lib (0.11.7-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 13 Aug 2022 23:40:35 +0200

coq-ext-lib (0.11.6-2) unstable; urgency=medium

  * Simplify autopkgtest.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 16 Jul 2022 12:37:11 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                debhelper-compat (= 13),
                dh-coq,
                dh-ocaml,
-               libcoq-ocaml-dev,
+               libcoq-core-ocaml-dev,
                libcoq-stdlib
 Vcs-Browser: https://salsa.debian.org/ocaml-team/coq-ext-lib
 Vcs-Git: https://salsa.debian.org/ocaml-team/coq-ext-lib.git

## coq-ext-lib 0.11.8

=== debian/changelog ===
coq-ext-lib (0.11.8-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards-version to 4.6.2.

 -- Julien Puydt <jpuydt@debian.org>  Mon, 12 Jun 2023 19:29:46 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

## coq-ext-lib 0.12.0

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,6 @@
 all: theories examples
 
+COQDOCJS_LN?=true
 -include coqdocjs/Makefile.doc
 COQMAKEFILE?=Makefile.coq

=== examples/Makefile ===
coq: Makefile.coq
	$(MAKE) -f Makefile.coq

clean:
	if [ -e Makefile.coq ] ; then $(MAKE) -f Makefile.coq cleanall ; fi
	rm -f Makefile.coq Makefile.coq.conf

Makefile.coq: Makefile _CoqProject
	$(COQBIN)coq_makefile -f _CoqProject -o Makefile.coq

=== debian/changelog ===
coq-ext-lib (0.12.0-1build4) noble; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Apr 2024 09:14:05 +0200

coq-ext-lib (0.12.0-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 17:53:40 +0000

coq-ext-lib (0.12.0-1build2) noble; urgency=medium

  * No-change rebuild for new libcoq-stdlib ABI

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Mar 2024 00:13:15 +0000

coq-ext-lib (0.12.0-1build1) noble; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 22 Dec 2023 20:28:30 -0500

coq-ext-lib (0.12.0-1) unstable; urgency=medium

  [Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [Julien Puydt ]
  * Fix d/rules clean target (Closes: #1044715).
  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 21 Dec 2023 15:24:39 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: coq-ext-lib
-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with coq

override_dh_auto_clean:
	make clean

override_dh_auto_make:
	make

override_dh_auto_install:
	make install DESTDIR=$(CURDIR)/debian/tmp

## coq-ext-lib 0.12.1

=== debian/changelog ===
coq-ext-lib (0.12.1-2build4) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2024 16:35:20 +0200

coq-ext-lib (0.12.1-2build3) oracular; urgency=medium

  * No-change rebuild for OCaml ABIs.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 07 Sep 2024 00:44:54 +0200

coq-ext-lib (0.12.1-2build2) oracular; urgency=medium

  * Rebuild against new OCAML ABI.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 15 Aug 2024 08:37:59 +0200

coq-ext-lib (0.12.1-2build1) oracular; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 04 Aug 2024 11:18:56 -0400

coq-ext-lib (0.12.1-2) unstable; urgency=medium

  * Team upload
  * Do not hardcode /usr/lib/ocaml

 -- Stéphane Glondu <glondu@debian.org>  Sat, 03 Aug 2024 09:53:05 +0200

coq-ext-lib (0.12.1-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Sat, 24 Feb 2024 09:56:43 +0100

## coq-ext-lib 0.12.2

=== debian/changelog ===
coq-ext-lib (0.12.2-1build1) plucky; urgency=medium

  * Rebuild against latest coq

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Nov 2024 21:31:22 -0500

coq-ext-lib (0.12.2-1) unstable; urgency=medium

  * New upstream release.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 20 Nov 2024 10:44:09 +0100

## coq-ext-lib 0.13.0

=== Makefile ===
--- 
+++ 
@@ -29,14 +29,14 @@
 
 .PHONY: all clean dist theories examples html
 
-TEMPLATES ?= templates
+TEMPLATES ?= ../templates
 
-index.html: index.md
+resources/index.html: resources/index.md
 	pandoc -s $^ -o $@
 
-index.md: meta.yml
+resources/index.md: meta.yml $(TEMPLATES)/index.md.mustache
 	$(TEMPLATES)/generate.sh $@
 
 publish%:
 	opam publish --packages-directory=released/packages \
-		--repo=coq/opam-coq-archive --tag=v$* -v $* coq-community/coq-ext-lib
+		--repo=coq/opam --tag=v$* -v $* coq-community/coq-ext-lib

=== debian/changelog ===
coq-ext-lib (0.13.0-2) experimental; urgency=medium

  * Bump standards-version to 4.7.2.

 -- Julien Puydt <jpuydt@debian.org>  Wed, 29 Oct 2025 09:02:38 +0100

coq-ext-lib (0.13.0-1) unstable; urgency=medium

  * Package new upstream.
  * Bump standards-version to 4.7.0.

 -- Julien Puydt <jpuydt@debian.org>  Thu, 26 Dec 2024 21:36:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: coq-ext-lib
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
+Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Julien Puydt <jpuydt@debian.org>
 Section: ocaml
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Build-Depends: coq,
                debhelper-compat (= 13),

=== debian/tests/control ===
Test-Command: coqtop -batch -rifrom ExtLib Structures.Monad
Depends: coq, @

=== debian/watch ===
version=4
https://github.com/coq-community/coq-ext-lib/tags .*/v?([\d\.]+).tar.gz
